Package org.apache.sling.rewriter

## Interface GeneratorFactory

All Known Implementing Classes:
  `HtmlGeneratorFactory`

    public interface GeneratorFactory

The `GeneratorFactory` is a service which creates `Generator`s on demand. The created generators are the starting point for the rewriter pipeline. The factories itself are not chained but the resulting generators are. On each pipeline call new instances are created. The factory is referenced using a service property named 'pipeline.type'. Each factory should have a unique value for this property.

### Method Summary

All Methods Instance Methods Abstract Methods
`Generator` `createGenerator()` Create a new generator for the pipeline.

### Method Detail

#### createGenerator

    Generator createGenerator()

Create a new generator for the pipeline.

Returns:
  A new generator.